Package net.shibboleth.shared.spring.config

# Class RelocatedBeanFactoryPostProcessor

java.lang.Object
net.shibboleth.shared.spring.config.RelocatedBeanFactoryPostProcessor

All Implemented Interfaces:
  `BeanFactoryPostProcessor`

public class RelocatedBeanFactoryPostProcessor extends Object implements BeanFactoryPostProcessor
A `BeanFactoryPostProcessor` to rewrite and log on relocated classes or parent beans.

Since:
  9.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,String>`
`movedBeans`
Relocated beans.
`private Map<String,String>`
`movedClasses`
Relocated classes.

## Constructor Summary

Constructors
Constructor
Description
`RelocatedBeanFactoryPostProcessor()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`
`private void`
`processBeanDefinition(BeanDefinition def, String name)`
Process a bean definition by relocating its class or parent if appropriate.
`void`
`setBeans(Map<String,String> beans)`
Set bean names to rewrite.
`void`
`setClasses(Map<String,String> classes)`
Set class names to rewrite.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### movedClasses

@Nonnull private Map<String,String> movedClasses
Relocated classes.

### movedBeans

@Nonnull private Map<String,String> movedBeans
Relocated beans.

## Constructor Details

### RelocatedBeanFactoryPostProcessor

public RelocatedBeanFactoryPostProcessor()
Constructor.

## Method Details

### setClasses

public void setClasses(@Nonnull @ParameterName(name="classes") Map<String,String> classes)
Set class names to rewrite.

Parameters:
  `classes` - classes to detect with replacements identified

### setBeans

public void setBeans(@Nonnull @ParameterName(name="classes") Map<String,String> beans)
Set bean names to rewrite.

Parameters:
  `beans` - beans to detect with replacements identified

### processBeanDefinition

private void processBeanDefinition(@Nonnull BeanDefinition def, @Nonnull String name)
Process a bean definition by relocating its class or parent if appropriate.

Parameters:
  `def` - bean definition to be processed
  `name` - name of the bean definition

### postProcessBeanFactory

public void postProcessBeanFactory(@Nonnull ConfigurableListableBeanFactory beanFactory) throws BeansException

Specified by:
  `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`
Throws:
  `BeansException`